Bug 29172 - rpm -qa doesn't work in version 4.0.2
rpm -qa doesn't work in version 4.0.2
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-02-24 03:41 EST by Peter Lane
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-25 11:50:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Lane 2001-02-24 03:41:34 EST
I upgraded to rpm version 4.0.2 and now the -qa option doesn't work. 
Instead of listing all installed packages on my system I get the following
error message:

	"rpm: one type of query/verify may be performed at a time"
Comment 1 Jeff Johnson 2001-02-24 08:52:47 EST
Hmmm, rpm -qa works fine for me.

What packages did you use to upgrade, from where?
What version of rpm were you previously running?

Comment 2 Peter Lane 2001-02-25 00:41:36 EST
The new rpm version was upgraded as one of the packages installed with ximian
gnome.  As for what the previous rpm version was, I'm not sure--whatever came
with RH 7.
Comment 3 Jeff Johnson 2001-02-25 09:14:51 EST
Um, AFAICT you got rpm from ximian. Try rpm-4.0.2 packages
from			                        ftp://ftp.rpm.org/pub/rpm/test-4.0.2
Do those work? (There's a couple of  known problems with rpm compilation
with gcc-2.96 since Red Hat 7)
Comment 4 Jeff Johnson 2001-04-05 08:54:39 EDT
Closed for lack of input. Please reopen if problem still exists.

Note You need to log in before you can comment on or make changes to this bug.